# Gimp.Image.prototype.set_unit

    function set_unit(unit: Gimp.Unit): Boolean {
        // Gjs wrapper for gimp_image_set_unit()
    }

Sets the specified image's unit.

This procedure sets the specified image's unit. No scaling or resizing is performed. This value is independent of any of the layers in this image. See the gimp_unit_*() procedure definitions for the valid range of unit IDs and a description of the unit system.

unit

  The new image unit.

Returns

  TRUE on success.